Disk ARchive: libdar::simple_path_mask Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::simple_path_mask Class Reference
API

string matches if it is subdir of mask or mask is a subdir of expression More...

`#include <mask.hpp>`

Inherits libdar::mask.

## Public Member Functions
| simple_path_mask (const path &p, bool case_sensit)
| the constructor to be used by libdar external programs
| simple_path_mask (const simple_path_mask &ref)=default
| simple_path_mask (simple_path_mask &&ref) noexcept=default
simple_path_mask & | operator= (const simple_path_mask &ref)=default
simple_path_mask & | operator= (simple_path_mask &&ref) noexcept=default
bool | is_covered (const std::string &expression) const override
| inherited from the mask class
bool | is_covered (const path &chemin) const override
| check whether the given path is covered by the mask
std::string | dump (const std::string &prefix) const override
| dump in human readable form the nature of the mask
mask * | clone () const override
| inherited from the mask class
Public Member Functions inherited from libdar::mask
| mask (const mask &ref)=default
| mask (mask &&ref) noexcept=default
mask & | operator= (const mask &ref)=default
mask & | operator= (mask &&ref) noexcept=default

## Private Attributes
path | chemin
bool | case_s

## Detailed Description

string matches if it is subdir of mask or mask is a subdir of expression

Definition at line 398 of file mask.hpp.

## Constructor & Destructor Documentation

## ◆ simple_path_mask()

libdar::simple_path_mask::simple_path_mask | ( | const path & | p,
|  | bool | case_sensit )
| inline

the constructor to be used by libdar external programs

Parameters

  [in] | p | the path the compare with
  [in] | case_sensit | whether the mask is case sensitive or not

Note
  p must be a valid path

Definition at line 406 of file mask.hpp.

Referenced by clone().

## Member Function Documentation

## ◆ clone()

mask * libdar::simple_path_mask::clone | ( |  | ) | const
| inlineoverridevirtual

inherited from the mask class

Implements libdar::mask.

Definition at line 419 of file mask.hpp.

References simple_path_mask().

## ◆ dump()

std::string libdar::simple_path_mask::dump | ( | const std::string & | prefix | ) | const
| overridevirtual

dump in human readable form the nature of the mask

Parameters

  [in] | prefix | used for indentation withing the output string

Implements libdar::mask.

## ◆ is_covered() [1/2]

bool libdar::simple_path_mask::is_covered | ( | const path & | chemin | ) | const
| overridevirtual

check whether the given path is covered by the mask

Parameters

  [in] | chemin | is the path to check

Returns
  true if the given path is covered by the mask

Note
  only libdar internally needs to call this method
  this is an optional method to the previous one, it can be overwritten

Reimplemented from libdar::mask.

## ◆ is_covered() [2/2]

bool libdar::simple_path_mask::is_covered | ( | const std::string & | expression | ) | const
| inlineoverridevirtual

inherited from the mask class

Implements libdar::mask.

Definition at line 414 of file mask.hpp.

## Member Data Documentation

## ◆ case_s

bool libdar::simple_path_mask::case_s
| private

Definition at line 423 of file mask.hpp.

## ◆ chemin

path libdar::simple_path_mask::chemin
| private

Definition at line 422 of file mask.hpp.

The documentation for this class was generated from the following file:

- mask.hpp